## stereo stereo — Muck with the stereo signal to enhance its 'stereo-ness' |

## Synopsis

    struct              GstStereo;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseTransform
                         +----GstAudioFilter
                               +----GstStereo

## Properties

      "active"                   gboolean              : Read / Write
      "stereo"                   gfloat                : Read / Write

## Description

Create a wide stereo effect.

### Example pipelines

    1
    gst-launch -v filesrc location=sine.ogg ! oggdemux ! vorbisdec ! audioconvert ! stereo ! audioconvert ! audioresample ! alsasink

Play an Ogg/Vorbis file.

## Synopsis

### Element Information

plugin | stereo
author | Erik Walthinsen <omega@cse.ogi.edu>
class | Filter/Effect/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw-int, depth=(int)16, width=(int)16, endianness=(int)1234, rate=(int)[ 1, 2147483647 ], channels=(int)2, signed=(boolean)true

name | src
direction | source
presence | always
details | audio/x-raw-int, depth=(int)16, width=(int)16, endianness=(int)1234, rate=(int)[ 1, 2147483647 ], channels=(int)2, signed=(boolean)true

## Details

### struct GstStereo

    struct GstStereo;

## Property Details

### The `"active"` property

      "active"                   gboolean              : Read / Write

active.

Default value: TRUE

### The `"stereo"` property

      "stereo"                   gfloat                : Read / Write

stereo.

Allowed values: [0,1]

Default value: 0.1